Index: information_schema.sql
===================================================================
RCS file: /projects/cvsroot/pgsql/src/backend/catalog/information_schema.sql,v
retrieving revision 1.33
diff -u -c -r1.33 information_schema.sql
*** information_schema.sql	2 Apr 2006 17:38:13 -0000	1.33
--- information_schema.sql	24 Aug 2006 18:49:48 -0000
***************
*** 306,313 ****
               AS cardinal_number)
               AS datetime_precision,
  
             CAST(null AS character_data) AS interval_type, -- FIXME
!            CAST(null AS character_data) AS interval_precision, -- FIXME
  
             CAST(current_database() AS sql_identifier) AS attribute_udt_catalog,
             CAST(nt.nspname AS sql_identifier) AS attribute_udt_schema,
--- 306,324 ----
               AS cardinal_number)
               AS datetime_precision,
  
+            CAST(
+              CASE WHEN a.atttypid = 1186 THEN NULL ELSE
+                _pg_datetime_precision(_pg_truetypid(a, t), _pg_truetypmod(a, t))
+                END AS cardinal_number)
+              AS datetime_precision,
+ 
             CAST(null AS character_data) AS interval_type, -- FIXME
! 
!            CAST(
!              CASE WHEN a.atttypid <> 1186 THEN NULL ELSE
!                _pg_datetime_precision(_pg_truetypid(a, t), _pg_truetypmod(a, t))
!                END AS cardinal_number)
!              AS interval_precision,
  
             CAST(current_database() AS sql_identifier) AS attribute_udt_catalog,
             CAST(nt.nspname AS sql_identifier) AS attribute_udt_schema,
